TAAS - Feature #133

Collection Report
02/02/2023 03:03 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 02/10/2023
Priority: Normal Due date:

Assignee: Sreeranjini T % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): 14.00 Code Reviewed By:

Module: Collection Report

Description

Coding Collection Report

History

#1 - 02/09/2023 01:00 PM - Junaid M
- File collection-report-summary-query.sql added
- Status changed from New to Open

- % Done changed from 0 to 10

Soln Added. (Models, Controller, Data Sevice, Cs, Sql Query)

#2 - 02/10/2023 10:04 AM - Junaid M
- Assignee changed from Junaid M to Christy Saint

#3 - 02/10/2023 05:38 PM - Christy Saint

- Status changed from Open to Coding Started

- Start date changed from 02/02/2023 to 02/10/2023
- % Done changed from 10 to 40

#4 - 02/13/2023 02:01 PM - Christy Saint

- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

- Time Taken(HH) set to 14.00

#5 - 02/15/2023 11:37 AM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.REMOVE SL. NO. FROM GRID

(DETAILS > GROUP BY > MODE OF COLLECTION)
2.FIX BUGS ON CUSTOMER INPUT BOX

3.FIX SPELL MISTAKES ON GRID HEADING
(Amount in base 1)

#6 - 02/20/2023 10:10 AM - Christy Saint

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#7 - 02/23/2023 04:21 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND

1.Fix bugs on customer toggle
(cant change customer to other)
2.Resize grid columns

( Details)

3.Fix error on ts {}

#8 - 03/01/2023 11:32 AM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#9 - 03/01/2023 05:27 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix error on Currency

( Error from TS. File while choosing Currency)

2.Add precision on grid

3.Corporate card filters not working (Check box)

4.Not showing collection reports while choose Ledger & Base 1 currency

#10 - 03/16/2023 05:16 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#11 - 03/17/2023 05:54 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix error on Currency

( Error from TS. File while choosing Currency)

2.Add precision on grid

3.Corporate card filters not working (Check box)

4.Not showing collection reports while choose Ledger & Base 1 currency
5.Fix bugs on selection box

(Include Selection box- Drop down button missing)

6.Prevent Journal & Receipt report

#12 - 04/04/2023 10:16 AM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 04/04/2023 05:49 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Add precision on grid

2.Prevent Journal & Document Reversal

3.Set grouping on Summary tab based on receipt mode
4.Set defaults on Mode & Include selection box

#14 - 05/18/2023 04:33 PM - Amal Cyriac

ISSUE FOUND *****
1.Add grid summary
2.Set right alignnment on amount
3.Add precision on grid

4 Prevent 'Journal & Document Reversal'

5.Set grouping on - Summary tab based on receipt mode
6.Set defaults on 'Mode & Include' selection box

#15 - 06/01/2023 04:14 PM - Junaid M
GUI Change
-> Details Tab

e Add Currency column
e Remove settled, Balance Column
e Set Dynamic Column title Amount In QAR

#16 - 06/06/2023 12:49 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#17 - 06/10/2023 06:10 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Update Search filters - Date picker
(Only one date is required From / To)
2.Change label on GUI

(Incude change to Exclude)

3.Fix error on Currency - Report values not changing based on Base 1 & 2

#18 - 06/15/2023 12:07 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#19 - 06/19/2023 06:36 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Fix error on grid - showing wrong Party & Mode
( Grid columns Change)

#20 - 06/20/2023 11:44 AM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#21 - 07/08/2023 04:58 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.ADD DATAS ABOUT TYPE,GROUP,FAMILY
2.FILTER DATA WHILE CHOOSING BASE1,BASE2, CURRENCY

#22 - 08/08/2023 06:43 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#23 - 09/05/2023 10:32 AM - unnikannan S
TESTING DONE

05/04/2025

3/10



#24 - 09/05/2023 05:51 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.DATA OVERLAPPING SUB CUSTOMER

#25 - 09/27/2023 05:41 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#26 - 10/04/2023 12:02 PM - unnikannan S
TESTING DONE

#27 - 10/05/2023 06:03 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.CORRECT DETAILS IN PRINT (SUMMARY)
#28 - 10/06/2023 12:49 PM - Christy Saint

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#29 - 10/16/2023 12:40 PM - unnikannan S
TESTING DONE

#30 - 10/16/2023 06:28 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50
ISSUE FOUNDED
1.SHOWING AMT AS SETTLED WHILE CHOOSING BASE 2 USD

2.SHOWING VIRTUAL CARD AMT AS PD CHEQUE IN SUMMARY
3.ADD XO IN REPORT FILTER ALONG WITH FO NO

4.CHANGE IN GROUPINGS OF CREDIT CARDS AND CORPORATE CARDS

#31 - 10/26/2023 04:26 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#32 - 11/08/2023 02:39 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOWING AMT AS SETTLED WHILE CHOOSING BASE 2 USD

#33 - 11/09/2023 10:52 AM - unnikannan S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

TESTING DONE
#34 - 11/14/2023 03:26 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.NO DATA FROM DEBIT,CREDIT NOTE MODULE WHILE CHOOSING FILTER (INCLUDE)- ALL OTHER DEBIT

2.ISSUE IN MODE CLEARING AND SEARCH

#35 - 11/21/2023 03:56 PM - Anil KV
- Assignee changed from Christy Saint to Athul P

#36 - 12/06/2023 03:15 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#37 - 12/07/2023 01:50 PM - unnikannan S
TESTING DONE

#38 - 12/19/2023 06:09 PM - unnikannan S
ISSUE FOUNDED

1.CHANGE GROUPING WISE FILTERING IN PARTY DROP DOWN TO AUTO COMPLETION FIELD

#39 - 12/20/2023 05:26 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#40 - 12/27/2023 10:23 AM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#41 - 12/27/2023 12:01 PM - unnikannan S
TESTING DONE

#42 - 02/06/2024 10:23 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.DUPLICATION OF DOCUMENT NO IN DETAILS LIST IN CASE SALE DOCUMENT HAVE MORE THAN ONE VOUCHERS SOLD

2.CLEAR BLANK OPTION FROM CURRENCY FIELD ADD MANDATORY FIELD FOR CURRENCY
3.SHOW DATA AS PER CHOOSEN SUB CUSTOMER IN Ul

#43 - 02/06/2024 03:32 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#44 - 02/09/2024 12:19 PM - unnikannan S
TESTING DONE

#45 - 02/09/2024 12:20 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

05/04/2025

5/10



1.SHOWING ALL FARE AMOUNT AS DEBIT
2.SHOWING PAYMENT DOC IN LIST IN CASE THE FOP ACT AS A CLIENT

#46 - 02/12/2024 06:21 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#47 - 02/13/2024 11:33 AM - unnikannan S
TESTING DONE

#48 - 04/03/2024 01:01 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.SHOW DATAS CURRENCY WISE WHILE SEARCH WITH LEDGER CURRENCY IN (SUMMARY TAB)

#49 - 04/03/2024 04:41 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#50 - 09/27/2024 04:50 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Correct The Print Format While Showing Data

#51 - 09/27/2024 05:02 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#52 - 09/30/2024 02:52 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#53 - 10/02/2024 11:04 AM - Anonymous
- Assignee changed from Athul P to Nithin PM

#54 - 11/08/2024 06:31 PM - Theja Ponon
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1)DATA IS NOT LOAD ON REDIRECTION
2)SETTLEMENT AND OUTSTANDING ARE NOT SHOWING IN CASE ANY SETTLEMENT ARE DONE

#55 - 11/14/2024 09:35 AM - Nithin PM
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#56 - 11/14/2024 09:58 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Started
- % Done changed from 70 to 80
#57 - 11/14/2024 09:58 AM - Theja Ponon
- Status changed from Reopen Bugs Testing Started to Reopen Bugs Testing Done
- % Done changed from 80 to 90

#58 - 11/20/2024 01:01 PM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1)IN SUMMARY TAB SUM OF COLLECTION AMOUNT IN DIFFERENT CURRENCY SHOULD SHOW BELOW THE COLLECTION COLUMN
2)IN DETAIL TAB HIDE SETTLED AND OUTSTANDING FROM THE GRID (ONLY SHOW WHEN CHOOSE FROM COLUMN CHOOSER)
3)HIDE THE SETTLED AND OUTSTANDING FROM THE PRINT (SHOW ONLY WHEN CHOOSED IN PRINT SETTINGS)

#59 - 11/21/2024 05:39 PM - Nithin PM
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#60 - 11/28/2024 10:43 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#61 - 01/30/2025 04:23 PM - Theja Ponon

- File clipboard-202501301441-zsgmx.png added

- File clipboard-202501301511-20jpx.png added

- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FIXED

1)FIXED - DATA FROM RECEIPT PLUS IS NOT SHOWING

2)FIXED - VALUE IN FIELD IS NOT CHANGING ON CHANGING THE FILE NO DROPDOWN

3)FIXED - ON CURRENCY CHANGE AMOUND SHOWING IS NOT CORRECT

4)WHEN FOP IS GIVEN AS BANK THEN SHOW THE RESULT WHEN TICKING THE CURRENT RECEIVED IN MODE FILTER -Fixed the Mode is
Current Cheque (Received)

5)DETAIL PAGE IS NOT SHOW IN PRINT ITEM LIST

Collection Report - Print Option

Action”  Print Preview File Type*

ltem*  Cgllection Report Summary > Format™  General

Duplicate Print

[ Close % Settings # More 8 Print Preview

6)MODE AS VIRTUAL CARD AS IS NOT SHOWING
TraVVIsq Collection Report 29 =- MEml—.‘»-_Q A

Transaction Date™  30/01/2025 3 2025 Branch®  granch A a v Currency”  Ledger Currency v

Party - Department - Indude | Receipt % 2 more - 2 rd

Sub Customer (Profile) ~ File No ~ Cash Counter -
Mode | Virtual Card(Custome: Casi Debit & Credit Card(Custome e - ﬂ

Summary | Details

s T Q B @
Currency Collection Settled Outstanding
Total QAR 490.00
7)CASH SALE ,AGAINST CASH SALE IS NOT SHOWING
9)ON CHOOSING CUSTOMER CORPORATE CARD PAID (UCCF) IN INCLUDE DATA SHOWING FOR THAT CARD
8)IN INCLUDE TICKING ALL OTHER DEBIT ASSET SALE IS NOT SHOWING
NEW CHANGE
1)ADD REDIRECTION TO DOCUMENT NUMBER
#62 - 01/31/2025 09:47 AM - Theja Ponon
- Assignee changed from Nithin PM to Sreeranjini T
#63 - 02/05/2025 09:59 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
#64 - 02/19/2025 12:24 PM - Theja Ponon
- File clipboard-202502191018-5zzfz.png added
- File clipboard-202502191222-esapo.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50
Issue FOund
1)Not showing narration in case of cash sale
|
Summary  Details .
Group By | Normal v P T a 2 [ '
Date Document No Code Name Currency Collection  Party Reference Narration
17/02/2025 RV/001 CASDO1 Cash QAR 1000.00 CUS001: Customer Cash Receipt, Ref No:, Paid Through CAS. f
17/02/2025 £5/001 BNKO0O1 Own Bank QAR 100.00 ALOD4: Tax Receivable Account j
17/02/2025 RV/003 BNK0O1 Own Bank QAR 1000.00 ALO02: ACM Expected Bank Deposit Receipt, Paid Through BNK... j
17/02/2025 RV/004 BNKO0O1 Own Bank QAR 1000.00 ALO02: ACM Expected Cheque Receipt, Cheque No: 32, Date: 17. j
17/02/2025 RV/002 RCHOO01 Received Cheque QAR 1000.00  LLOO1: Tour Control Account Cheque Receipt, Cheque No: 1, Date: 18-... f
2)cheque through bank transaction is not showing in bank deposit mode
3)Against sale is not showing
4)AP sharing using pax card payment is not showing
Summary = Details
Group By | Normal v s T Q@ 2 0§
Date Document No | Code Name Currency Collection = Party Reference Narration
19/02/2025 INV/023 CUs001 Customer QAR 1000.00 ra
19/02/2025 CS5/003 BNK0O1 Own Bank QAR 1000.00 ra
19/02/2025 CS5/004 BNK0O1 Own Bank QAR 0.00 s
Total QAR 2000.00

5)On choosing any one among customer card and customer pax card data for both card showing

#65 - 02/20/2025 02:32 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
#66 - 03/18/2025 12:14 PM - Theja Ponon
- File clipboard-202503181214-gt3xu.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue Found

1)On choosing BASE1 on currency

VEL SQLUTION PYTLTE,

42P01: missing FROM-clause entry for table "mt"

Transaction Date® | 18/03/2024 [} 18/03/2025

Party ~
Sub Customer (Profile) ~

Mode | select

Summary | Details

Currency

#67 - 03/18/2025 12:32 PM - Theja Ponon
- File clipboard-202503181232-bsccs.png added

Issue Found

Collection

Branch”

Department

File No =

AAA

No data

Main % - Currency”
Sele - Include
Cash Counter

settled

Base(QAR)

Receipt % 3 more X

B @

OQutstanding

42P01: missing FROM-clause entry for table "mt"

Transaction Date” | 18/03/2024 D 0 103205
Party ~

Sub Customer (Profile) ~

Mode

Summary | Details

Currency

Collection

Branch”

Department

File No =

aaa

No data

Main % - Currency”
ele - Include
Cash Counter

Settled

2)On changing currency and search the data with mode corporate card (uccf) is not showing
Travvise

Collection Report

Base1(QAR)
Receipt % 3 more X

E T Q

<
.

2 @

Outstanding

Transaction Date* Branch* - Currency™ | Base2(USD)
Party ~ Department - Include -
Sub Customer (Profile) ~ FileNo ~ Cash Counter - E
summary = Details
» T Q 2 m
Currency Collection Settled Outstanding
»  Mode: Bank Deposit
#68 - 03/20/2025 10:37 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
Files
collection-report-summary-query.sq| 2.44 KB 02/09/2023 Junaid M
clipboard-202501301441-zsgmx.png 50 KB 01/30/2025 Theja Ponon
